#include <iostream>

using namespace std;

int main()
{
    int t=0;
    cin>>t;
    int i=0,j=0,k=0,n[t]={0},m[t]={0};
    int a=0;

    for(i=0;i<t;i++)
    {
      cin>>n[i]>>m[i];
      for(j=0;j<(n[i]*m[i]*2);j++)
      {
          cin>>a;
      }
    }

    for(i=0;i<t;i++)
        cout<<"NE"<<"\n";

    return 0;
}